#! /bin/zsh

# SPDX-FileCopyrightText: 2023 Tobias Schmidl
#
# SPDX-License-Identifier: GPL-3.0-or-later

# shellcheck shell=bash
# shellcheck disable=SC1091

[ -z "$EDITOR" ] && export EDITOR=sensible-editor

export LESS="-F -R"

[ -r "$HOME/.config/user-dirs.dirs" ]  &&\
    [ -z "$XDG_DESKTOP_DIR" ] && \
    [ -z "$XDG_DOWNLOAD_DIR" ] && \
    [ -z "$XDG_TEMPLATES_DIR" ] && \
    [ -z "$XDG_PUBLICSHARE_DIR" ] && \
    [ -z "$XDG_DOCUMENTS_DIR" ] && \
    [ -z "$XDG_MUSIC_DIR" ] && \
    [ -z "$XDG_PICTURES_DIR" ] && \
    [ -z "$XDG_VIDEOS_DIR" ] && \
    . "$HOME/.config/user-dirs.dirs"

export MAILCHECK=1

which fortune >/dev/null && which cowsay > /dev/null && fortune -u debian chapterhouse-dune children-of-dune dune dune-messiah god-emperor heretics-of-dune house-atreides house-harkonnen pratchett | cowsay -f tux -W 76 -n
which todo > /dev/null && todo ls
